diff --git a/build.php b/build.php
index d700a95..d45840c 100644
--- a/build.php
+++ b/build.php
@@ -1,4 +1,7 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
 
 // This is the Pepperminty Wiki build environment
 define("PEPPERMINTY_WIKI_BUILD", true);
diff --git a/core/00-beginning.php b/core/00-beginning.php
index 2b12610..b117c57 100644
--- a/core/00-beginning.php
+++ b/core/00-beginning.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 /** The Pepperminty Wiki core */
 $start_time = microtime(true);
 mb_internal_encoding("UTF-8");
diff --git a/core/01-settings.fragment.php b/core/01-settings.fragment.php
index 4029523..a3930ba 100644
--- a/core/01-settings.fragment.php
+++ b/core/01-settings.fragment.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 /*
  * Pepperminty Wiki
  * ================
diff --git a/core/02-environment.php b/core/02-environment.php
index 27da4f5..189b790 100644
--- a/core/02-environment.php
+++ b/core/02-environment.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 
 /** The version of Pepperminty Wiki currently running. */
 $version = "{version}";
diff --git a/core/05-functions.php b/core/05-functions.php
index 63068c0..3af4424 100644
--- a/core/05-functions.php
+++ b/core/05-functions.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 
 /**
  * Get the actual absolute origin of the request sent by the user.
diff --git a/core/07-unpack.php b/core/07-unpack.php
index 8e875fc..d830922 100644
--- a/core/07-unpack.php
+++ b/core/07-unpack.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 
 // If the extra data directory:
 //  - doesn't exist already
diff --git a/core/10-login.php b/core/10-login.php
index 1a763bd..86e92d4 100644
--- a/core/10-login.php
+++ b/core/10-login.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 
 if(!is_cli()) session_start();
 // Make sure that the login cookie lasts beyond the end of the user's session
diff --git a/core/100-run.php b/core/100-run.php
index 100e8b7..9f4ebca 100644
--- a/core/100-run.php
+++ b/core/100-run.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 
 
 // Execute each module's code
diff --git a/core/15-apidoc.php b/core/15-apidoc.php
index 1b9990f..0e31b05 100644
--- a/core/15-apidoc.php
+++ b/core/15-apidoc.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 
 
 ////////////////////
diff --git a/core/20-pageindex-loader.php b/core/20-pageindex-loader.php
index 984fea6..f3a0e7b 100644
--- a/core/20-pageindex-loader.php
+++ b/core/20-pageindex-loader.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 
 /*
  * Sort out the pageindex. Create it if it doesn't exist, and load + parse it
diff --git a/core/25-page-ids.php b/core/25-page-ids.php
index 1ed9761..0e366c7 100644
--- a/core/25-page-ids.php
+++ b/core/25-page-ids.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 
 //////////////////////////
 ///// Page id system /////
diff --git a/core/30-consistency.php b/core/30-consistency.php
index 9047b3a..d3e14f6 100644
--- a/core/30-consistency.php
+++ b/core/30-consistency.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 ///////////////////////////////////////////////////////////////////////////////
 ////////////////////// Security and Consistency Measures //////////////////////
 ///////////////////////////////////////////////////////////////////////////////
diff --git a/core/40-page-renderer.php b/core/40-page-renderer.php
index 38b062c..dc6d3e8 100644
--- a/core/40-page-renderer.php
+++ b/core/40-page-renderer.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 
 /**
  * Renders the HTML page that is sent to the client.
diff --git a/core/45-environment-deferred.php b/core/45-environment-deferred.php
index 1051a5c..ad81185 100644
--- a/core/45-environment-deferred.php
+++ b/core/45-environment-deferred.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 
 /// Finish setting up the environment object ///
 $env->page = $_GET["page"];
diff --git a/core/50-security.php b/core/50-security.php
index 2fcef66..6b195f0 100644
--- a/core/50-security.php
+++ b/core/50-security.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 
 
 //////////////////////////////////////
diff --git a/core/60-modules.php b/core/60-modules.php
index c53c861..e90813a 100644
--- a/core/60-modules.php
+++ b/core/60-modules.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 
 
 /*
diff --git a/core/70-parser-engine.php b/core/70-parser-engine.php
index 293f867..edc7ba4 100644
--- a/core/70-parser-engine.php
+++ b/core/70-parser-engine.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 
 
 $parsers = [
diff --git a/core/99-module-insert.php b/core/99-module-insert.php
index c3cc530..083222d 100644
--- a/core/99-module-insert.php
+++ b/core/99-module-insert.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 
 //////////////////////////////////////////////////////////////////
 
diff --git a/download.php b/download.php
index 620d0aa..7a53d00 100644
--- a/download.php
+++ b/download.php
@@ -1,6 +1,9 @@
 <!DOCTYPE html>
 <html>
 	<head>
+		<!-- This Source Code Form is subject to the terms of the Mozilla Public
+		   - License, v. 2.0. If a copy of the MPL was not distributed with this
+		   - file, You can obtain one at https://mozilla.org/MPL/2.0/. -->
 		<meta charset="utf-8" />
 		<title>Pepperminty Wiki Download</title>
 		
diff --git a/experiments/bktree/BkTree.php b/experiments/bktree/BkTree.php
index f83a530..073618a 100644
--- a/experiments/bktree/BkTree.php
+++ b/experiments/bktree/BkTree.php
@@ -1,4 +1,7 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
 
 require_once("JsonStorageBox.php");
 
diff --git a/experiments/bktree/JsonStorageBox.php b/experiments/bktree/JsonStorageBox.php
index 23d13f2..c379a48 100644
--- a/experiments/bktree/JsonStorageBox.php
+++ b/experiments/bktree/JsonStorageBox.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 /**
  * Resolves a relative path against a given base directory.
  * @apiVersion	0.20.0
diff --git a/experiments/bktree/bktreetest.php b/experiments/bktree/bktreetest.php
index f1c9379..fea332e 100644
--- a/experiments/bktree/bktreetest.php
+++ b/experiments/bktree/bktreetest.php
@@ -1,4 +1,7 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
 
 require("BkTree.php");
 
diff --git a/modules/action-hash.php b/modules/action-hash.php
index 7b73da2..5c39771 100644
--- a/modules/action-hash.php
+++ b/modules/action-hash.php
@@ -1,4 +1,8 @@
-<?php
+<?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Password hashing action",
 	"version" => "0.7",
diff --git a/modules/action-protect.php b/modules/action-protect.php
index d283119..ed940a0 100644
--- a/modules/action-protect.php
+++ b/modules/action-protect.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Page protection",
 	"version" => "0.2.1",
diff --git a/modules/action-random.php b/modules/action-random.php
index 850a670..dca656a 100644
--- a/modules/action-random.php
+++ b/modules/action-random.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Random Page",
 	"version" => "0.3",
diff --git a/modules/action-raw.php b/modules/action-raw.php
index 263923e..afc6a92 100644
--- a/modules/action-raw.php
+++ b/modules/action-raw.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Raw page source",
 	"version" => "0.8",
diff --git a/modules/api-status.php b/modules/api-status.php
index 0737842..e0f8e69 100644
--- a/modules/api-status.php
+++ b/modules/api-status.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "API status",
 	"version" => "0.1",
diff --git a/modules/extra-sidebar.php b/modules/extra-sidebar.php
index 05f42ce..9ccdca3 100644
--- a/modules/extra-sidebar.php
+++ b/modules/extra-sidebar.php
@@ -1,4 +1,8 @@
-<?php
+<?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Sidebar",
 	"version" => "0.3.2",
diff --git a/modules/feature-cli.php b/modules/feature-cli.php
index 81863b9..ffc838d 100644
--- a/modules/feature-cli.php
+++ b/modules/feature-cli.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Command-line interface",
 	"version" => "0.1.1",
diff --git a/modules/feature-comments.php b/modules/feature-comments.php
index 4640848..f6c9811 100644
--- a/modules/feature-comments.php
+++ b/modules/feature-comments.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Page Comments",
 	"version" => "0.3.3",
diff --git a/modules/feature-firstrun.php b/modules/feature-firstrun.php
index e6ff114..923e3d2 100644
--- a/modules/feature-firstrun.php
+++ b/modules/feature-firstrun.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 
 register_module([
 	"name" => "First run wizard",
diff --git a/modules/feature-guiconfig.php b/modules/feature-guiconfig.php
index dfaecde..aca31e7 100644
--- a/modules/feature-guiconfig.php
+++ b/modules/feature-guiconfig.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Settings GUI",
 	"version" => "0.1.7",
diff --git a/modules/feature-history.php b/modules/feature-history.php
index 256ed47..090ed0f 100644
--- a/modules/feature-history.php
+++ b/modules/feature-history.php
@@ -1,4 +1,8 @@
-<?php
+<?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Page History",
 	"version" => "0.4.2",
diff --git a/modules/feature-interwiki-links.php b/modules/feature-interwiki-links.php
index 9b93eab..c5bc1d4 100644
--- a/modules/feature-interwiki-links.php
+++ b/modules/feature-interwiki-links.php
@@ -1,4 +1,8 @@
-<?php
+<?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Interwiki links",
 	"version" => "0.1.1",
diff --git a/modules/feature-readingtime.php b/modules/feature-readingtime.php
index bb01b7b..24ce324 100644
--- a/modules/feature-readingtime.php
+++ b/modules/feature-readingtime.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Reading time estimator",
 	"version" => "0.2",
diff --git a/modules/feature-recent-changes.php b/modules/feature-recent-changes.php
index 4c66a64..a0939ee 100644
--- a/modules/feature-recent-changes.php
+++ b/modules/feature-recent-changes.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Recent Changes",
 	"version" => "0.5",
diff --git a/modules/feature-redirect.php b/modules/feature-redirect.php
index 82fc95b..11df496 100644
--- a/modules/feature-redirect.php
+++ b/modules/feature-redirect.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Redirect pages",
 	"version" => "0.3.2",
diff --git a/modules/feature-search-didyoumean.php b/modules/feature-search-didyoumean.php
index 82715bb..ac6ee0f 100644
--- a/modules/feature-search-didyoumean.php
+++ b/modules/feature-search-didyoumean.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Did you mean? support",
 	"version" => "0.1.1",
diff --git a/modules/feature-search.php b/modules/feature-search.php
index 787b9be..8048046 100644
--- a/modules/feature-search.php
+++ b/modules/feature-search.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Search",
 	"version" => "0.13.2",
diff --git a/modules/feature-similarpages.php b/modules/feature-similarpages.php
index bccf8f4..7ef5f17 100644
--- a/modules/feature-similarpages.php
+++ b/modules/feature-similarpages.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Similar Pages",
 	"version" => "0.1",
diff --git a/modules/feature-stats.php b/modules/feature-stats.php
index 8490f89..1dff5a5 100644
--- a/modules/feature-stats.php
+++ b/modules/feature-stats.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Statistics",
 	"version" => "0.4.3",
diff --git a/modules/feature-theme-gallery.php b/modules/feature-theme-gallery.php
index 918f9a2..abb4230 100644
--- a/modules/feature-theme-gallery.php
+++ b/modules/feature-theme-gallery.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Theme Gallery",
 	"version" => "0.4.1",
diff --git a/modules/feature-upload.php b/modules/feature-upload.php
index 93284d5..a981ff0 100644
--- a/modules/feature-upload.php
+++ b/modules/feature-upload.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Uploader",
 	"version" => "0.7",
diff --git a/modules/feature-user-preferences.php b/modules/feature-user-preferences.php
index 1124a79..dee8d96 100644
--- a/modules/feature-user-preferences.php
+++ b/modules/feature-user-preferences.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "User Preferences",
 	"version" => "0.4.1",
diff --git a/modules/feature-user-table.php b/modules/feature-user-table.php
index 6c6e3dc..dca8492 100644
--- a/modules/feature-user-table.php
+++ b/modules/feature-user-table.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "User Organiser",
 	"version" => "0.1.1",
diff --git a/modules/feature-watchlist.php b/modules/feature-watchlist.php
index 38a43f5..7a78272 100644
--- a/modules/feature-watchlist.php
+++ b/modules/feature-watchlist.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "User watchlists",
 	"version" => "0.1.3",
diff --git a/modules/lib-search-engine.php b/modules/lib-search-engine.php
index 4fc1905..3beb446 100644
--- a/modules/lib-search-engine.php
+++ b/modules/lib-search-engine.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Library: Search engine",
 	"version" => "0.13.2",
diff --git a/modules/lib-storage-box.php b/modules/lib-storage-box.php
index 53e4d39..afa1658 100644
--- a/modules/lib-storage-box.php
+++ b/modules/lib-storage-box.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Library: Storage box",
 	"version" => "0.13",
diff --git a/modules/page-credits.php b/modules/page-credits.php
index dbf32fe..04c4514 100644
--- a/modules/page-credits.php
+++ b/modules/page-credits.php
@@ -1,4 +1,8 @@
-<?php
+<?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Credits",
 	"version" => "0.7.12",
diff --git a/modules/page-debug-info.php b/modules/page-debug-info.php
index fd115f0..062385a 100644
--- a/modules/page-debug-info.php
+++ b/modules/page-debug-info.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Debug Information",
 	"version" => "0.4",
diff --git a/modules/page-delete.php b/modules/page-delete.php
index 3c5ed5b..0466c4e 100644
--- a/modules/page-delete.php
+++ b/modules/page-delete.php
@@ -1,4 +1,8 @@
-<?php
+<?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Page deleter",
 	"version" => "0.10.2",
diff --git a/modules/page-edit.php b/modules/page-edit.php
index 92436ba..6d21643 100644
--- a/modules/page-edit.php
+++ b/modules/page-edit.php
@@ -1,4 +1,8 @@
-<?php
+<?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Page editor",
 	"version" => "0.17.9",
diff --git a/modules/page-export.php b/modules/page-export.php
index ff05083..74ef77e 100644
--- a/modules/page-export.php
+++ b/modules/page-export.php
@@ -1,4 +1,8 @@
-<?php
+<?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Export",
 	"version" => "0.5.1",
diff --git a/modules/page-help.php b/modules/page-help.php
index 72b526d..fb6dbe7 100644
--- a/modules/page-help.php
+++ b/modules/page-help.php
@@ -1,4 +1,8 @@
-<?php
+<?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Help page",
 	"version" => "0.10.1",
diff --git a/modules/page-list.php b/modules/page-list.php
index b060b31..dea6aaf 100644
--- a/modules/page-list.php
+++ b/modules/page-list.php
@@ -1,4 +1,8 @@
-<?php
+<?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Page list",
 	"version" => "0.11.4",
diff --git a/modules/page-login.php b/modules/page-login.php
index 927db60..4f83659 100644
--- a/modules/page-login.php
+++ b/modules/page-login.php
@@ -1,4 +1,8 @@
-<?php
+<?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Login",
 	"version" => "0.9.6",
diff --git a/modules/page-logout.php b/modules/page-logout.php
index 88cfd03..c6890c2 100644
--- a/modules/page-logout.php
+++ b/modules/page-logout.php
@@ -1,4 +1,8 @@
-<?php
+<?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Logout",
 	"version" => "0.6.1",
diff --git a/modules/page-move.php b/modules/page-move.php
index 6d18992..13f7625 100644
--- a/modules/page-move.php
+++ b/modules/page-move.php
@@ -1,4 +1,8 @@
-<?php
+<?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Page mover",
 	"version" => "0.9.5",
diff --git a/modules/page-update.php b/modules/page-update.php
index ca42f75..9a3873e 100644
--- a/modules/page-update.php
+++ b/modules/page-update.php
@@ -1,4 +1,8 @@
-<?php
+<?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Update",
 	"version" => "0.6.2",
diff --git a/modules/page-user-list.php b/modules/page-user-list.php
index 977fc18..067e965 100644
--- a/modules/page-user-list.php
+++ b/modules/page-user-list.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "User list",
 	"version" => "0.1",
diff --git a/modules/page-view.php b/modules/page-view.php
index 87195b8..3c5c339 100644
--- a/modules/page-view.php
+++ b/modules/page-view.php
@@ -1,4 +1,8 @@
-<?php
+<?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Page viewer",
 	"version" => "0.16.10",
diff --git a/modules/parser-default-old.php b/modules/parser-default-old.php
index 3222b29..3f06d2f 100644
--- a/modules/parser-default-old.php
+++ b/modules/parser-default-old.php
@@ -1,4 +1,8 @@
-<?php
+<?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Old Default Parser",
 	"version" => "0.10.1",
diff --git a/modules/parser-parsedown.php b/modules/parser-parsedown.php
index 8805001..37034f4 100644
--- a/modules/parser-parsedown.php
+++ b/modules/parser-parsedown.php
@@ -1,4 +1,8 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
+
 register_module([
 	"name" => "Parsedown",
 	"version" => "0.11.3",
diff --git a/pack.php b/pack.php
index f3929d0..99ce30e 100644
--- a/pack.php
+++ b/pack.php
@@ -1,4 +1,7 @@
 <?php
+/* This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
 
 // If this script is called directly, it must be because of the downloader.
 // If this script is to be called directly, it MUST have been called previously 
diff --git a/peppermint-config-info.php b/peppermint-config-info.php
index e470c94..2960dd7 100644
--- a/peppermint-config-info.php
+++ b/peppermint-config-info.php
@@ -1,6 +1,9 @@
 <!DOCTYPE html>
 <html>
 	<head>
+		<!-- This Source Code Form is subject to the terms of the Mozilla Public
+		   - License, v. 2.0. If a copy of the MPL was not distributed with this
+		   - file, You can obtain one at https://mozilla.org/MPL/2.0/. -->
 		<meta charset='utf-8' />
 		<title>peppermint.json configuration guide - Pepperminty Wiki</title>
 	</head>
